lat and lon swapped in WMS 1.3.0 GetMap request?
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13365

Description

When testing my service with WMS 1.3.0 in Quantum GIS, I get a blank map. When switching to WMS 1.1.1 for the same layer, the map

is fine:

WMS 1.3.0 URL:

http://oos.soest.hawaii.edu/thredds/wms/hioos/roms_forec/hiig/HI-ROMS_Forecast_Model_Run_Collection_best.ncd?service=WMS&#

8;version=1.3.0&#38;request=GetCapabilities

WMS 1.1.1 URL:

http://oos.soest.hawaii.edu/thredds/wms/hioos/roms_forec/hiig/HI-ROMS_Forecast_Model_Run_Collection_best.ncd?service=WMS&#

8;version=1.1.1&#38;request=GetCapabilities

I have tested this layer as version WMS 1.3.0 in other clients successfully (ENVI Zoom and Godiva2) so I suspect it is a bug in Quantum

GIS and not with my data (coming through a Unidata THREDDS Data Server). If the bug is the same as what I discovered in Gaia 3, then

the following may be the problem: the resulting [[GetMap]] request URLs in 1.3.0 have a BBOX parameter with the latitudes and

longitudes erroneously swapped. Gaia does not take into account CRS84 (lon/lat) order, but assumes the urn:ogc:def:crs:EPSG::4326

order (lat/lon) instead--which they are now correcting. Possibly Quantum GIS has a similar artifact of spec changes by OGC?

Thanks for your attention to this.

Cheers,

John Maurer

Hawaii Ocean Observing System

University of Hawaii at Mano

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#5 - 2015-11-19 05:06 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

Hello, bug triage...

on QGIS 2.13 (and probably previous versions), I've got no problems to use your WMS v1.3.0 service (on 

http://pacioos-mapserver2.ancl.hawaii.edu:8081/geoserver/ows?version=1.3.0).

I think we can close this bug because WMS 1.3.0 QGIS implementation seems good enough now.
